<?php
/*
================================================================================================
Tifology - customizer.php
================================================================================================
This is the most generic template file in a WordPress theme and is one of required files for this
theme. Thie file allows users to change certain color features within the theme, such as, link 
colors and body colors.

@package        Tifology WordPress Theme
@copyright      Copyright (C) 2015. Benjamin Lu
@license        GNU General Public License v2 or later (http://www.gnu.org/licenses/gpl-2.0.html)
@author         Benjamin Lu (http://luminathemes.com/contact/
@since          0.0.1
================================================================================================
*/
if (!function_exists('tifology_customize_register_setup')) {
    function tifology_customize_register_setup($wp_customize) {
        // Add Section
        
        // Add Settings
        $wp_customize->add_setting('tifology_body_link_color', array(
            'capability'        => 'edit_theme_options',
            'default'           => '#0099CC',
            'sanitize_callback' => 'sanitize_hex_color',
            'transport'         => 'refresh',
        ));
        
        $wp_customize->add_setting('tifology_body_text_color', array(
            'capability'        => 'edit_theme_options',
            'default'   => '#ffffff',
            'sanitize_callback' => 'sanitize_hex_color',
            'transport' => 'refresh',
        ));
        
        // Add Control
        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tifology_body_link_color', array(
            'label'        => __( 'Link Color', 'tifology' ),
            'section'    => 'colors',
            'settings'   => 'tifology_body_link_color',
        )));
        
        $wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'tifology_body_text_color', array(
            'label'        => __( 'Body Color', 'tifology' ),
            'section'    => 'colors',
            'settings'   => 'tifology_body_text_color',
        )));
    }
    add_action('customize_register', 'tifology_customize_register_setup');
}

function tifology_custom_colors_css() { ?>
    <style type="text/css">
        body {
            color: <?php echo esc_html(get_theme_mod('tifology_body_text_color', '#ffffff')); ?>;
        }
        
        a {
            color: <?php echo esc_html(get_theme_mod('tifology_body_link_color', '#0099cc')); ?>;
        }
    </style>
<?php
}
add_action('wp_head', 'tifology_custom_colors_css');